> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get message

> Get a message by UUID



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/messages/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/messages/{uuid}:
    get:
      tags:
        - AI - Messages
      summary: Get message
      description: Get a message by UUID
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Message identifier.
          required: true
          description: Message identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      agentUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      releaseUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      chatUuid:
                        type: string
                      userUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      status:
                        type: string
                        enum:
                          - pending
                          - generating
                          - success
                          - error
                          - cancelling
                          - cancelled
                      errorMessage:
                        anyOf:
                          - type: string
                          - type: 'null'
                      type:
                        type: string
                        enum:
                          - user
                          - assistant
                      parts:
                        type: array
                        items: {}
                      actions:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                isBulkAllowed:
                                  type: boolean
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - name
                                - slug
                                - description
                                - isBulkAllowed
                                - config
                              additionalProperties: false
                            - anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: tool
                                    toolUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    templateSlug:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    waitUntilFinished:
                                      type: boolean
                                  required:
                                    - kind
                                    - toolUuid
                                    - templateSlug
                                    - waitUntilFinished
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: agent
                                    agentUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    templateSlug:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    waitUntilFinished:
                                      type: boolean
                                  required:
                                    - kind
                                    - agentUuid
                                    - templateSlug
                                    - waitUntilFinished
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      const: connector
                                    integrationSlug:
                                      type: string
                                    connectorUuid:
                                      anyOf:
                                        - type: string
                                        - type: 'null'
                                    actionSlug:
                                      type: string
                                  required:
                                    - kind
                                    - integrationSlug
                                    - connectorUuid
                                    - actionSlug
                                  additionalProperties: false
                      resources:
                        type: array
                        items:
                          anyOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: model
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                integrationSlug:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                modelUuid:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                filter:
                                  anyOf:
                                    - type: object
                                      properties:
                                        conjonction:
                                          type: string
                                          enum:
                                            - or
                                            - and
                                        groups:
                                          type: array
                                          items: {}
                                      required:
                                        - conjonction
                                        - groups
                                      additionalProperties: false
                                    - type: 'null'
                                selectedColumnSlugs:
                                  anyOf:
                                    - type: array
                                      items:
                                        type: string
                                    - type: 'null'
                                limit:
                                  anyOf:
                                    - type: number
                                    - type: 'null'
                                prompt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                isReadOnly:
                                  type: boolean
                              required:
                                - kind
                                - name
                                - slug
                                - description
                                - integrationSlug
                                - modelUuid
                                - filter
                                - selectedColumnSlugs
                                - limit
                                - prompt
                                - isReadOnly
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: file
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                slug:
                                  type: string
                                description:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                items:
                                  type: array
                                  items:
                                    anyOf:
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            const: file
                                          fileUuid:
                                            type: string
                                        required:
                                          - kind
                                          - fileUuid
                                        additionalProperties: false
                                      - type: object
                                        properties:
                                          kind:
                                            type: string
                                            const: folder
                                          folderUuid:
                                            type: string
                                        required:
                                          - kind
                                          - folderUuid
                                        additionalProperties: false
                                prompt:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - kind
                                - name
                                - slug
                                - description
                                - items
                                - prompt
                              additionalProperties: false
                      capabilities:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: sandbox
                                config:
                                  type: object
                                  properties:
                                    scope:
                                      type: string
                                      enum:
                                        - chat
                                        - agent
                                  additionalProperties: false
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: context
                                config:
                                  type: object
                                  properties:
                                    isReadOnly:
                                      type: boolean
                                  additionalProperties: false
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: app
                                config:
                                  type: object
                                  properties:
                                    appUuid:
                                      type: string
                                    canPromote:
                                      type: boolean
                                  additionalProperties: false
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: document
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: webSearch
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: fileSearch
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: documentationSearch
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: codeInterpreter
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: memory
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                slug:
                                  type: string
                                  const: suggestedActions
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - slug
                                - config
                              additionalProperties: false
                          type: object
                      mcpClients:
                        type: array
                        items:
                          oneOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: custom
                                name:
                                  type: string
                                url:
                                  type: string
                                authentication:
                                  anyOf:
                                    - type: object
                                      properties:
                                        issuedAt:
                                          type: string
                                        accessToken:
                                          type: string
                                        expiresIn:
                                          type: number
                                        refreshToken:
                                          type: string
                                        scope:
                                          type: string
                                        tokenType:
                                          type: string
                                        clientId:
                                          type: string
                                        clientSecret:
                                          type: string
                                      required:
                                        - issuedAt
                                        - accessToken
                                      additionalProperties: false
                                    - type: 'null'
                                disabledToolSlugs:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - kind
                                - name
                                - url
                                - authentication
                                - disabledToolSlugs
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: connector
                                name:
                                  type: string
                                connectorUuid:
                                  type: string
                                integrationSlug:
                                  type: string
                                disabledToolSlugs:
                                  type: array
                                  items:
                                    type: string
                              required:
                                - kind
                                - name
                                - connectorUuid
                                - integrationSlug
                                - disabledToolSlugs
                              additionalProperties: false
                          type: object
                      systemPrompt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      withReasoning:
                        anyOf:
                          - type: boolean
                          - type: 'null'
                      temperature:
                        anyOf:
                          - type: number
                          - type: 'null'
                      maxSteps:
                        anyOf:
                          - type: number
                          - type: 'null'
                      integrationSlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      connectorUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      languageModelSlug:
                        anyOf:
                          - type: string
                          - type: 'null'
                      evaluatedTools:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      usage:
                        anyOf:
                          - type: object
                            properties:
                              tokensUsedCount:
                                type: number
                              creditsUsedCount:
                                type: number
                              languageModelSlug:
                                type: string
                              connectorUuid:
                                type: string
                            required:
                              - tokensUsedCount
                              - creditsUsedCount
                              - languageModelSlug
                              - connectorUuid
                            additionalProperties: false
                          - type: 'null'
                      output: {}
                      meta:
                        anyOf:
                          - type: object
                            propertyNames:
                              type: string
                            additionalProperties: {}
                          - type: 'null'
                      suggestedActions:
                        type: array
                        items:
                          type: object
                          properties:
                            text:
                              type: string
                            actions:
                              type: array
                              items:
                                type: object
                                properties:
                                  slug:
                                    type: string
                                required:
                                  - slug
                                additionalProperties: false
                          required:
                            - text
                            - actions
                          additionalProperties: false
                      temporalWorkflowId:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      finishedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      deletedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - uuid
                      - workspaceUuid
                      - agentUuid
                      - releaseUuid
                      - chatUuid
                      - userUuid
                      - status
                      - errorMessage
                      - type
                      - parts
                      - actions
                      - resources
                      - capabilities
                      - mcpClients
                      - systemPrompt
                      - withReasoning
                      - temperature
                      - maxSteps
                      - integrationSlug
                      - connectorUuid
                      - languageModelSlug
                      - evaluatedTools
                      - usage
                      - output
                      - meta
                      - suggestedActions
                      - temporalWorkflowId
                      - createdAt
                      - updatedAt
                      - finishedAt
                      - deletedAt
                    additionalProperties: false
                    title: Message
                    description: Message details.
                required:
                  - message
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````